import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnDestroy, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { KatexOptions } from './katex-options';
import { MarkdownService } from './markdown.service';
import { MermaidAPI } from './mermaid-options';
import * as i0 from "@angular/core";
export declare class MarkdownComponent implements OnChanges, AfterViewInit, OnDestroy {
    element: ElementRef<HTMLElement>;
    markdownService: MarkdownService;
    viewContainerRef: ViewContainerRef;
    protected static ngAcceptInputType_clipboard: boolean | '';
    protected static ngAcceptInputType_emoji: boolean | '';
    protected static ngAcceptInputType_katex: boolean | '';
    protected static ngAcceptInputType_mermaid: boolean | '';
    protected static ngAcceptInputType_lineHighlight: boolean | '';
    protected static ngAcceptInputType_lineNumbers: boolean | '';
    protected static ngAcceptInputType_commandLine: boolean | '';
    data: string | null | undefined;
    src: string | null | undefined;
    get disableSanitizer(): boolean;
    set disableSanitizer(value: boolean);
    get inline(): boolean;
    set inline(value: boolean);
    get srcRelativeLink(): boolean;
    set srcRelativeLink(value: boolean);
    get clipboard(): boolean;
    set clipboard(value: boolean);
    clipboardButtonComponent: Type<unknown> | undefined;
    clipboardButtonTemplate: TemplateRef<unknown> | undefined;
    get emoji(): boolean;
    set emoji(value: boolean);
    get katex(): boolean;
    set katex(value: boolean);
    katexOptions: KatexOptions | undefined;
    get mermaid(): boolean;
    set mermaid(value: boolean);
    mermaidOptions: MermaidAPI.Config | undefined;
    get lineHighlight(): boolean;
    set lineHighlight(value: boolean);
    line: string | string[] | undefined;
    lineOffset: number | undefined;
    get lineNumbers(): boolean;
    set lineNumbers(value: boolean);
    start: number | undefined;
    get commandLine(): boolean;
    set commandLine(value: boolean);
    filterOutput: string | undefined;
    host: string | undefined;
    prompt: string | undefined;
    output: string | undefined;
    user: string | undefined;
    error: EventEmitter<string | Error>;
    load: EventEmitter<string>;
    ready: EventEmitter<void>;
    private _clipboard;
    private _commandLine;
    private _disableSanitizer;
    private _emoji;
    private _inline;
    private _katex;
    private _lineHighlight;
    private _lineNumbers;
    private _mermaid;
    private _srcRelativeLink;
    private readonly destroyed$;
    constructor(element: ElementRef<HTMLElement>, markdownService: MarkdownService, viewContainerRef: ViewContainerRef);
    ngOnChanges(): void;
    loadContent(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    render(markdown: string, decodeHtml?: boolean): void;
    private coerceBooleanProperty;
    private handleData;
    private handleSrc;
    private handleTransclusion;
    private handlePlugins;
    private setPluginClass;
    private setPluginOptions;
    private toLispCase;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkdownComponent, "markdown, [markdown]", never, { "data": "data"; "src": "src"; "disableSanitizer": "disableSanitizer"; "inline": "inline"; "srcRelativeLink": "srcRelativeLink"; "clipboard": "clipboard"; "clipboardButtonComponent": "clipboardButtonComponent"; "clipboardButtonTemplate": "clipboardButtonTemplate"; "emoji": "emoji"; "katex": "katex"; "katexOptions": "katexOptions"; "mermaid": "mermaid"; "mermaidOptions": "mermaidOptions"; "lineHighlight": "lineHighlight"; "line": "line"; "lineOffset": "lineOffset"; "lineNumbers": "lineNumbers"; "start": "start"; "commandLine": "commandLine"; "filterOutput": "filterOutput"; "host": "host"; "prompt": "prompt"; "output": "output"; "user": "user"; }, { "error": "error"; "load": "load"; "ready": "ready"; }, never, ["*"], false, never>;
}
